Subject: [MMUSIC] RTSP: Minutes from Feb 6 Telecon

From: Rob Lanphier <[email-masked]>
Date: Thu, 7 Feb 2002 15:33:24 -0800 (Pacific Standard Time)

Hi all,

Minutes from the last RTSP telecon are included below.  The hyperlinked
HTML version is available here:

http://rtsp.org/2002/telecon/minutes06Feb.html

Rob

  Rtsp Tc Minutes06 Feb2002

------------------------------------------------------------------------

   1. Attendees <#line2>
   2. Last telecon: discussed and still pending <#line11>
         1. 477423 Unclearities regarding pause with range <#line12>
   3. This telecon <#line23>
         1. Mixing Aggregate and Non-aggregate Control <#line24>
               1. MUTE and UNMUTE discussion <#line30>
               2. 477400 Use of PLAY as aliveness check <#line62>
   4. Process for next draft <#line89>

  Attendees

    * Anne Jones (AJ)
    * Anders Klemets (AK)
    * Colin Perkins (CP)
    * Magnus Westerlund (MW)
    * Aravind Narasimhan (AN)
    * David Walker (DW)
    * Rob Lanphier (RL)

Agenda

http://rtsp.org/2002/telecon/agenda06Feb.html

(note: we only got down to http://rtsp.org/bug477400 - "Play without range
while playing")

Last telecon: discussed and still pending

    477423 Unclearities regarding pause with range

Bug report: http://rtsp.org/bug477423

Previous resolution: Only a single range specifier (format "value-"
where "value" is a time) is allowed for pause. time="execution time in
UTC" may also be used. A new example will be provided.

    * MW: any issues with my proposal? (see [[WWW]] Magnus' proposal
      <http://www1.ietf.org/mail-archive/working-groups/mmusic/current/msg00148.html>)

    * RL: still discussion happening at RN
    * AN: agree with Magnus
    * RESOLVED: go with Magnus's proposal

  This telecon

    Mixing Aggregate and Non-aggregate Control

      see [[WWW]] the email thread
      <http://www1.ietf.org/mail-archive/working-groups/mmusic/current/msg00115.html>

    * Point a) RESOLVED
    * First point b) RESOLVED

      MUTE and UNMUTE discussion

    * Second point b) MUTE and UNMUTE
          * AN: How about a MUTE that toggles
          * AK: How about SETUP and TEARDOWN
          * RL: I don't like SETUP and TEARDOWN as MUTE/UNMUTE
          * AN: spirit of orig RFC was that PAUSE doesn't change
            anything but whether packets are flowing
          * AK: SETUP/TEARDOWN may be appropriate when bandwidth
            reservation is involved
          * NEW ISSUE: should SETUP be allowed after a PLAY in the same
            session
          * NEW ISSUE: should TEARDOWN function on individual streams in
            a session
          * RL: back on MUTE/UNMUTE
          * AN: should consider MUTE as toggle
          * AK: client or server could become confused
          * MW: I like MUTE/UNMUTE
          * AK: can't add new methods to base spec
          * CP: depends on what path we want to go
          * RL: rather not
          * ...cycle back to proposed
          * MW: PING may need a separate thing
          * RL: MUTE/UNMUTE as separate spec
          * CP: depends on whether or not it's required
          * RL: I think it's optional
          * MW: really good functionality
          * RL: should it be required?
          * MW: should leave it as a pending issue
          * CP: write up as separate spec, and then discuss how it
            should go
          * AN: PAUSE is optional
          * AK: Can be done other ways. w/PAUSE
          * MW: Can't do this with agg control
          * AK: still, there are apps that don't need MUTE
          * RESOLVED: separate draft
          * ACTION ITEM: Call for authors on MUTE proposed. AN is
            tentatively signed up

      477400 Use of PLAY as aliveness check

    * Point C) (same as http://rtsp.org/bug477400)
          * AK: I don't think PING command is necessary. It breaks old
            implementations. 3GPP already uses OPTIONS anyway
          * MW: want to remove overloaded methods
          * RL: perhaps OPTIONS with option to switch to PING
          * MW: 3GPP might be able to get PING method
          * AK: wouldn't build something that relies on RTCP
          * MW: some cases, sure. PING should be 50-80 bytes, which is
            small enough
          * AK: What does PING with * mean?
          * RL: PING with * is a single hop mechanism. PING with host
            (and no resource) shoud be legal as well. That would be
            end-to-end
          * AN: perhaps session id in same way as PLAY
          * MW: need proposal
          * AK: aggregate session ids in PING method with comma sep list
          * MW: changing session header semantics is dangerous
          * RESOLVED: PING writeup will be done as part of next RTSP
            draft...continue discussion on mailing list
          * AK: Using PLAY with no range is still useful as a means of
            getting RTP-info
          * AN: we don't send it from our server
          * MW: state machine needs to be clarified
          * AN: play without range is start where left off
          * AN: need to clarify what PAUSE means
          * MW: will log issue on PLAY/PAUSE semantics
          * AK: need both Range header and RTP-info
          * AN: could start playback from pause point at the end of a range
          * MW: this is broken
          * AK: wouldn't mind seeing this go away
          * RESOLVED: deprecate PLAY w/o range as ping method

  Process for next draft

    * Prior to Feb 20 telecon: draft ready for group review
    * Feb 20: review on telecon
    * Prior to Feb 22: submit using standard I-D process.

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic